Mongo::resetError
Mongo::selectDB
Mongo
PHP Manual

# Mongo::selectCollection()

(No version information available, might only be in SVN)

— Gets a database collection

### Description

public MongoCollection Mongo::selectCollection ( string `$db` , string `$collection` )

### Parameters

`db`

  The database name.

`collection`

  The collection name.

### Return Values

Returns a new collection object.

### Errors/Exceptions

Throws InvalidArgumentException if the database or collection name is invalid.

### Examples

Example #1 Mongo::selectCollection() example

`<?php
$m = new Mongo();
$c1 = $m->selectCollection("foo", "bar.baz");
// which is equivalent to
$c2 = $m->selectDB("foo")->selectCollection("bar.baz");
// $c1 and $c2 now represent the same collection
?>`

Mongo::resetError
Mongo::selectDB
Mongo
PHP Manual